Indexhibit
Index + Exhibit

Login:

Created by
Daniel Eatock
Jeffery Vaska
And You

Indexhibit was updated to version 2.1.4 on April 10, 2017.

Database import problem

 

Indexhibit version: Legacy
Thread is resolved.

denizgezgin
TURKEY
4 year(s) ago
Permalink Post

Hello everyone!

I had a perfectly working site (denizgezgin.com) which I made with the old indexhibit. Now I changed my host and had to move my site. I backed up everything on the site, as well as mysql database. But I haven't been able to successfully import it, I get an error about not having permission for the current user, etc. This is the first problem, that I thought causing this; however I just have been able to import an old database backup, with the old website backup.

Now, when I follow the instructions on the help section, about upgrading to version 2, i get stuck on the database information page. When I click Submit, nothing happens. I read about this on the forum, but couldn't get an answer to solve my problem. I enter the database name, username and password right, according to the old config.php file, but I cannot continue the installation, and my site just says Database is not installed. If I skip that installation step, and click on import anyway, I get this error:

Warning: require_once(../ndxzsite/config/config.php) [function.require-once]: failed to open stream: No such file or directory in /home/denizgezgin.com/httpdocs/ndxzstudio/install.php on line 903

Fatal error: require_once() [function.require]: Failed opening required '../ndxzsite/config/config.php' (include_path='.') in /home/denizgezgin.com/httpdocs/ndxzstudio/install.php on line 903

Can anybody tell me what I am doing wrong? I can just continue with the old indexhibit, I don't have to upgrade really, but I cannot find the old installation folder. Not sure if i could make it work either, though...

Thanks, in advance

Deniz

arsondpi
GREECE
4 year(s) ago
Permalink Post

One thing at a time:
either get the Legacy version working first and then (after backing up things in the new server) try to upgrade
or
upgrade the legacy version site to Version 2 and then backup files, folders and database and copy/import to the new server.

The issue you describe may have to do with setting the right privileges to the database user. Maybe if your host is willing and helpful could help you out with this.

denizgezgin
TURKEY
4 year(s) ago
Permalink Post

Thank you for the reply.

You're right; and I emailed the indexhibit support to obtain the legacy installer folder, which turns out I didnot back up before! So, I'll try that when I'm able to.

I'm talking to my host also, but it looks like I may have to import my old database to a new one (I mean, with a new name, username, etc) After this is done, what should I do? In config.php folder, should I change the database information, before proceeding installation, and is there anywhere else I should edit this info?

Thank you for your help

denizgezgin
TURKEY
4 year(s) ago
Permalink Post

And sorry, for your second alternative suggestion, I'm afraid I have no access anymore to the old site. After doing a complete backup, I thought I wouldn't need it. Turns out I was very very wrong:) First time mistake

Best Answer!
arsondpi
GREECE
4 year(s) ago
Permalink Post

Indeed import the old database to a new one - keep the details of the new database because you're going to need them. Make sure your database user has all the right privileges.
Then you need to update the database details in the config.php file.
You Legacy version should then work.
Make sure though that you have a fully functioning and working site.
Then you may proceed to upgrading to Version 2.

denizgezgin
TURKEY
4 year(s) ago
Permalink Post

Thanks very much for the info. I'll try this once I have the legacy version installer

Vaska A
UNITED STATES
4 year(s) ago
Permalink Post

There is no installer for it anymore - and that's not what you need here.

We update software for a reason - Indexhibit is now version 2.

Showing 1 - 7 of 7 posts in Forum » Upgrade » Database import problem
 

This thread has been closed, thank you.